From 28b52b0ab41b63be89cceacda9e871f818993e28 Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Wed, 17 Jul 2019 11:55:42 +0200
Subject: [PATCH] New package: gnunet-0.11.5

---
 common/shlibs                   | 52 +++++++++++++++++++++++++++++++++
 srcpkgs/gnunet/INSTALL.msg      |  1 +
 srcpkgs/gnunet/files/gnunet/run |  2 ++
 srcpkgs/gnunet/template         | 22 ++++++++++++++
 4 files changed, 77 insertions(+)
 create mode 100644 srcpkgs/gnunet/INSTALL.msg
 create mode 100644 srcpkgs/gnunet/files/gnunet/run
 create mode 100644 srcpkgs/gnunet/template

diff --git a/common/shlibs b/common/shlibs
index 027e11d1efd..77cbdfaf8f4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3489,3 +3489,55 @@ libdnssec.so.7 libknot-2.8.2_1
 libzscanner.so.3 libknot-2.8.2_1
 libkres.so.9 knot-resolver-4.0.0_1
 libnsl.so.2 libnsl-1.2.0_1
+libgnunetarm.so gnunet-0.11.5_1
+libgnunetats.so gnunet-0.11.5_1
+libgnunetatsapplication.so gnunet-0.11.5_1
+libgnunetatstesting.so gnunet-0.11.5_1
+libgnunetatstransport.so gnunet-0.11.5_1
+libgnunetblock.so gnunet-0.11.5_1
+libgnunetblockgroup.so gnunet-0.11.5_1
+libgnunetcadet.so gnunet-0.11.5_1
+libgnunetconsensus.so gnunet-0.11.5_1
+libgnunetcore.so gnunet-0.11.5_1
+libgnunetdatacache.so gnunet-0.11.5_1
+libgnunetdatastore.so gnunet-0.11.5_1
+libgnunetdht.so gnunet-0.11.5_1
+libgnunetdns.so gnunet-0.11.5_1
+libgnunetfragmentation.so gnunet-0.11.5_1
+libgnunetfriends.so gnunet-0.11.5_1
+libgnunetfs.so gnunet-0.11.5_1
+libgnunetgns.so gnunet-0.11.5_1
+libgnunetgnsrecord.so gnunet-0.11.5_1
+libgnunethello.so gnunet-0.11.5_1
+libgnunetidentity.so gnunet-0.11.5_1
+libgnunetnamecache.so gnunet-0.11.5_1
+libgnunetnamestore.so gnunet-0.11.5_1
+libgnunetnatauto.so gnunet-0.11.5_1
+libgnunetnatnew.so gnunet-0.11.5_1
+libgnunetnse.so gnunet-0.11.5_1
+libgnunetnt.so gnunet-0.11.5_1
+libgnunetpeerinfo.so gnunet-0.11.5_1
+libgnunetpeerstore.so gnunet-0.11.5_1
+libgnunetregex.so gnunet-0.11.5_1
+libgnunetregexblock.so gnunet-0.11.5_1
+libgnunetrevocation.so gnunet-0.11.5_1
+libgnunetscalarproduct.so gnunet-0.11.5_1
+libgnunetsecretsharing.so gnunet-0.11.5_1
+libgnunetset.so gnunet-0.11.5_1
+libgnunetsq.so gnunet-0.11.5_1
+libgnunetstatistics.so gnunet-0.11.5_1
+libgnunettestbed.so gnunet-0.11.5_1
+libgnunettestbedlogger.so gnunet-0.11.5_1
+libgnunettesting.so gnunet-0.11.5_1
+libgnunettransport.so gnunet-0.11.5_1
+libgnunettransportapplication.so gnunet-0.11.5_1
+libgnunettransportcommunicator.so gnunet-0.11.5_1
+libgnunettransportcore.so gnunet-0.11.5_1
+libgnunettransportmonitor.so gnunet-0.11.5_1
+libgnunettransporttesting.so gnunet-0.11.5_1
+libgnunettransporttesting2.so gnunet-0.11.5_1
+libgnunetutil.so gnunet-0.11.5_1
+libgnunetvpn.so gnunet-0.11.5_1
+libnss_gns.so gnunet-0.11.5_1
+libnss_gns4.so gnunet-0.11.5_1
+libnss_gns6.so gnunet-0.11.5_1
diff --git a/srcpkgs/gnunet/INSTALL.msg b/srcpkgs/gnunet/INSTALL.msg
new file mode 100644
index 00000000000..168e12ffbe0
--- /dev/null
+++ b/srcpkgs/gnunet/INSTALL.msg
@@ -0,0 +1 @@
+Please run gnunet-config to generate your gnunetd.conf.
diff --git a/srcpkgs/gnunet/files/gnunet/run b/srcpkgs/gnunet/files/gnunet/run
new file mode 100644
index 00000000000..b0a2487f8c2
--- /dev/null
+++ b/srcpkgs/gnunet/files/gnunet/run
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/gnunet-arm -s -c /etc/gnunet/gnunetd.conf
diff --git a/srcpkgs/gnunet/template b/srcpkgs/gnunet/template
new file mode 100644
index 00000000000..5ec95fd783c
--- /dev/null
+++ b/srcpkgs/gnunet/template
@@ -0,0 +1,22 @@
+# Template file for 'gnunet'
+pkgname=gnunet
+version=0.11.5
+revision=1
+wrksrc="${pkgname}-v${version}"
+build_style=gnu-configure
+makedepends="autoconf automake gettext-devel libgcrypt-devel libidn-devel \
+	libltdl-devel libtool libunistring-devel sqlite-devel zlib-devel"
+short_desc="Framework for secure peer-to-peer networking"
+maintainer="Anachron <gith@cron.world>"
+license="GPL-3.0-or-later"
+homepage="https://gnunet.org"
+distfiles="https://git.gnunet.org/gnunet.git/snapshot/${pkgname}-v${version}.tar.gz"
+checksum=ac99e7e5a167aa42e7734ad5c94a31be1f9fe98842a923c382c8a30b5320561a
+
+pre_configure() {
+	./bootstrap
+}
+
+post_install() {
+	vsv gnunet
+}
